Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000196bareos-core[All Projects] Generalpublic2013-06-26 21:402015-03-25 19:19
Reportermvwieringen 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOpenIndianaOSOpenIndianaOS Versionb151a
Product Version13.2.1 
Target Version13.2.2Fixed in Version13.2.2 
Summary0000196: Plugin framework enhancements.
DescriptionUp until now the plugins for the fd/sd/dir are loaded semi at
random by the way they are stored in the plugin directory as
they are loaded in the order readdir returns the directory entries.
Additional InformationThis is NOT how you want it in certain situations so from now on
you can specify in the fd/sd/dir a new keyword in the generic
daemon config resource named "plugin names" which is a list
which is seperated by a ':' and enumerates the plugins that
should be loaded in what order by a daemon. In this resource
you can define the following 'plugin names = "python:bpipe"'
which means in the fd load the following plugins:
    
- <plugin_dir>/python-fd.so
- <plugin_dir>/bpipe-fd.so
    
If you don't specify the plugin names then the old behaviour
will be used to load all plugins which match the pattern
*-<daemon>.so
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0000580)
mvwieringen adm (administrator)
2013-08-13 03:12

Fix committed to bareos master branch with changesetid 626.
(0000688)
mvwieringen (developer)
2013-10-06 12:04

Fix committed to bareos bareos-13.2 branch with changesetid 1179.
(0001418)
mvwieringen (developer)
2015-03-25 16:51

Fix committed to bareos2015 bareos-14.2 branch with changesetid 5114.
(0001571)
joergs (administrator)
2015-03-25 19:19

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

- Related Changesets
bareos: master 4b325ea3
Timestamp: 2013-06-25 21:45:54
Author: mvwieringen adm
Ported: N/A
Details ] Diff ]
Plugin framework enhancements.

Up until now the plugins for the fd/sd/dir are loaded semi at
random by the way they are stored in the plugin directory as
they are loaded in the order readdir returns the directory entries.

This is NOT how you want it in certain situations so from now on
you can specify in the fd/sd/dir a new keyword in the generic
daemon config resource named "plugin names" which is a list
which is seperated by a ':' and enumerates the plugins that
should be loaded in what order by a daemon. In this resource
you can define the following 'plugin names = "python:bpipe"'
which means in the fd load the following plugins:

- <plugin_dir>/python-fd.so
- <plugin_dir>/bpipe-fd.so

If you don't specify the plugin names then the old behaviour
will be used to load all plugins which match the pattern
*-<daemon>.so

Now we can order the way plugins are loaded there is also a
new flag to the generate_plugin_event() function which is named
reverse which is a boolean and if its set the plugins will be
called in reverse order that they are stored in the plugin list.

Fixes 0000196: Plugin framework enhancements.
mod - src/stored/stored_conf.h Diff ] File ]
mod - src/stored/stored_conf.c Diff ] File ]
mod - src/stored/stored.c Diff ] File ]
mod - src/stored/sd_plugins.h Diff ] File ]
mod - src/stored/sd_plugins.c Diff ] File ]
mod - src/stored/btape.c Diff ] File ]
mod - src/stored/bscan.c Diff ] File ]
mod - src/stored/bls.c Diff ] File ]
mod - src/stored/bextract.c Diff ] File ]
mod - src/stored/bcopy.c Diff ] File ]
mod - src/lib/plugins.h Diff ] File ]
mod - src/lib/plugins.c Diff ] File ]
mod - src/lib/alist.h Diff ] File ]
mod - src/filed/filed_conf.h Diff ] File ]
mod - src/filed/filed_conf.c Diff ] File ]
mod - src/filed/filed.c Diff ] File ]
mod - src/filed/fd_plugins.h Diff ] File ]
mod - src/filed/fd_plugins.c Diff ] File ]
mod - src/dird/dird_conf.h Diff ] File ]
mod - src/dird/dird_conf.c Diff ] File ]
mod - src/dird/dird.c Diff ] File ]
mod - src/dird/dir_plugins.h Diff ] File ]
mod - src/dird/dir_plugins.c Diff ] File ]
bareos: bareos-13.2 2e65e341
Timestamp: 2013-06-25 21:45:54
Author: mvwieringen
Ported: N/A
Details ] Diff ]
Plugin framework enhancements.

Up until now the plugins for the fd/sd/dir are loaded semi at
random by the way they are stored in the plugin directory as
they are loaded in the order readdir returns the directory entries.

This is NOT how you want it in certain situations so from now on
you can specify in the fd/sd/dir a new keyword in the generic
daemon config resource named "plugin names" which is a list
which is seperated by a ':' and enumerates the plugins that
should be loaded in what order by a daemon. In this resource
you can define the following 'plugin names = "python:bpipe"'
which means in the fd load the following plugins:

- <plugin_dir>/python-fd.so
- <plugin_dir>/bpipe-fd.so

If you don't specify the plugin names then the old behaviour
will be used to load all plugins which match the pattern
*-<daemon>.so

Now we can order the way plugins are loaded there is also a
new flag to the generate_plugin_event() function which is named
reverse which is a boolean and if its set the plugins will be
called in reverse order that they are stored in the plugin list.

Fixes 0000196: Plugin framework enhancements.
mod - src/dird/dir_plugins.c Diff ] File ]
mod - src/dird/dir_plugins.h Diff ] File ]
mod - src/dird/dird.c Diff ] File ]
mod - src/dird/dird_conf.c Diff ] File ]
mod - src/dird/dird_conf.h Diff ] File ]
mod - src/filed/fd_plugins.c Diff ] File ]
mod - src/filed/fd_plugins.h Diff ] File ]
mod - src/filed/filed.c Diff ] File ]
mod - src/filed/filed_conf.c Diff ] File ]
mod - src/filed/filed_conf.h Diff ] File ]
mod - src/lib/alist.h Diff ] File ]
mod - src/lib/plugins.c Diff ] File ]
mod - src/lib/plugins.h Diff ] File ]
mod - src/stored/bcopy.c Diff ] File ]
mod - src/stored/bextract.c Diff ] File ]
mod - src/stored/bls.c Diff ] File ]
mod - src/stored/bscan.c Diff ] File ]
mod - src/stored/btape.c Diff ] File ]
mod - src/stored/sd_plugins.c Diff ] File ]
mod - src/stored/sd_plugins.h Diff ] File ]
mod - src/stored/stored.c Diff ] File ]
mod - src/stored/stored_conf.c Diff ] File ]
mod - src/stored/stored_conf.h Diff ] File ]
bareos2015: bareos-13.2 12471f5b
Timestamp: 2013-06-25 23:45:54
Author: mvwieringen
Ported: N/A
Details ] Diff ]
Plugin framework enhancements.

Up until now the plugins for the fd/sd/dir are loaded semi at
random by the way they are stored in the plugin directory as
they are loaded in the order readdir returns the directory entries.

This is NOT how you want it in certain situations so from now on
you can specify in the fd/sd/dir a new keyword in the generic
daemon config resource named "plugin names" which is a list
which is seperated by a ':' and enumerates the plugins that
should be loaded in what order by a daemon. In this resource
you can define the following 'plugin names = "python:bpipe"'
which means in the fd load the following plugins:

- <plugin_dir>/python-fd.so
- <plugin_dir>/bpipe-fd.so

If you don't specify the plugin names then the old behaviour
will be used to load all plugins which match the pattern
*-<daemon>.so

Now we can order the way plugins are loaded there is also a
new flag to the generate_plugin_event() function which is named
reverse which is a boolean and if its set the plugins will be
called in reverse order that they are stored in the plugin list.

Fixes 0000196: Plugin framework enhancements.
mod - src/dird/dir_plugins.c Diff ] File ]
mod - src/dird/dir_plugins.h Diff ] File ]
mod - src/dird/dird.c Diff ] File ]
mod - src/dird/dird_conf.c Diff ] File ]
mod - src/dird/dird_conf.h Diff ] File ]
mod - src/filed/fd_plugins.c Diff ] File ]
mod - src/filed/fd_plugins.h Diff ] File ]
mod - src/filed/filed.c Diff ] File ]
mod - src/filed/filed_conf.c Diff ] File ]
mod - src/filed/filed_conf.h Diff ] File ]
mod - src/lib/alist.h Diff ] File ]
mod - src/lib/plugins.c Diff ] File ]
mod - src/lib/plugins.h Diff ] File ]
mod - src/stored/bcopy.c Diff ] File ]
mod - src/stored/bextract.c Diff ] File ]
mod - src/stored/bls.c Diff ] File ]
mod - src/stored/bscan.c Diff ] File ]
mod - src/stored/btape.c Diff ] File ]
mod - src/stored/sd_plugins.c Diff ] File ]
mod - src/stored/sd_plugins.h Diff ] File ]
mod - src/stored/stored.c Diff ] File ]
mod - src/stored/stored_conf.c Diff ] File ]
mod - src/stored/stored_conf.h Diff ] File ]
bareos2015: bareos-14.2 814392b5
Timestamp: 2013-06-25 23:45:54
Author: mvwieringen
Ported: N/A
Details ] Diff ]
Plugin framework enhancements.

Up until now the plugins for the fd/sd/dir are loaded semi at
random by the way they are stored in the plugin directory as
they are loaded in the order readdir returns the directory entries.

This is NOT how you want it in certain situations so from now on
you can specify in the fd/sd/dir a new keyword in the generic
daemon config resource named "plugin names" which is a list
which is seperated by a ':' and enumerates the plugins that
should be loaded in what order by a daemon. In this resource
you can define the following 'plugin names = "python:bpipe"'
which means in the fd load the following plugins:

- <plugin_dir>/python-fd.so
- <plugin_dir>/bpipe-fd.so

If you don't specify the plugin names then the old behaviour
will be used to load all plugins which match the pattern
*-<daemon>.so

Now we can order the way plugins are loaded there is also a
new flag to the generate_plugin_event() function which is named
reverse which is a boolean and if its set the plugins will be
called in reverse order that they are stored in the plugin list.

Fixes 0000196: Plugin framework enhancements.
mod - src/dird/dir_plugins.c Diff ] File ]
mod - src/dird/dir_plugins.h Diff ] File ]
mod - src/dird/dird.c Diff ] File ]
mod - src/dird/dird_conf.c Diff ] File ]
mod - src/dird/dird_conf.h Diff ] File ]
mod - src/filed/fd_plugins.c Diff ] File ]
mod - src/filed/fd_plugins.h Diff ] File ]
mod - src/filed/filed.c Diff ] File ]
mod - src/filed/filed_conf.c Diff ] File ]
mod - src/filed/filed_conf.h Diff ] File ]
mod - src/lib/alist.h Diff ] File ]
mod - src/lib/plugins.c Diff ] File ]
mod - src/lib/plugins.h Diff ] File ]
mod - src/stored/bcopy.c Diff ] File ]
mod - src/stored/bextract.c Diff ] File ]
mod - src/stored/bls.c Diff ] File ]
mod - src/stored/bscan.c Diff ] File ]
mod - src/stored/btape.c Diff ] File ]
mod - src/stored/sd_plugins.c Diff ] File ]
mod - src/stored/sd_plugins.h Diff ] File ]
mod - src/stored/stored.c Diff ] File ]
mod - src/stored/stored_conf.c Diff ] File ]
mod - src/stored/stored_conf.h Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-06-26 21:40 mvwieringen New Issue
2013-06-26 21:40 mvwieringen Status new => assigned
2013-06-26 21:40 mvwieringen Assigned To => mvwieringen
2013-06-26 21:48 mvwieringen adm Changeset attached => bareos master a9db1764
2013-06-26 21:48 mvwieringen adm Status assigned => resolved
2013-06-26 21:48 mvwieringen adm Resolution open => fixed
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos master 4b325ea3
2013-08-13 03:12 mvwieringen adm Note Added: 0000580
2013-08-13 03:12 mvwieringen adm Assigned To mvwieringen => mvwieringen adm
2013-10-06 12:04 mvwieringen Changeset attached => bareos bareos-13.2 2e65e341
2013-10-06 12:04 mvwieringen Note Added: 0000688
2013-10-06 12:04 mvwieringen Assigned To mvwieringen adm => mvwieringen
2014-05-16 17:40 mvwieringen adm Assigned To mvwieringen =>
2014-05-16 17:40 mvwieringen adm Status resolved => closed
2014-05-16 17:40 mvwieringen adm Product Version 13.2.0 => 13.2.1
2014-05-16 17:40 mvwieringen adm Fixed in Version => 13.2.2
2014-05-16 17:40 mvwieringen adm Target Version 13.3.0 => 13.2.2
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 12471f5b
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-14.2 814392b5
2015-03-25 16:51 mvwieringen Note Added: 0001418
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:19 joergs Note Added: 0001571
2015-03-25 19:19 joergs Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker